JobControllerGetJobRunEvents Method |
POST /Job/GetJobRunEvents/
Get a list of
JobRunEvent objects associated with the
JobRun ID.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpPostAttribute]
[ActionNameAttribute("GetJobRunEvents")]
public HttpResponseMessage GetJobRunEvents(
[FromBodyAttribute] long id,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("GetJobRunEvents")>
Public Function GetJobRunEvents (
<FromBodyAttribute> id As Long,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"GetJobRunEvents")]
HttpResponseMessage^ GetJobRunEvents(
[FromBodyAttribute] long long id,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("GetJobRunEvents")>]
member GetJobRunEvents :
[<FromBodyAttribute>] id : int64 *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemInt64
The ID associated with the JobRun. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessage
An array of
JobRunEventData objects, or a status code indicating the problem.
See Also